aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ecp5/run-test.sh
diff options
context:
space:
mode:
authorSergeyDegtyar <sndegtyar@gmail.com>2019-09-03 11:53:37 +0300
committerSergeyDegtyar <sndegtyar@gmail.com>2019-09-03 11:53:37 +0300
commit11f330ed223f524cbbdbe2433599990a69b8f380 (patch)
tree627373ced7ca850efe284caf31c7866cddaa934b /tests/ecp5/run-test.sh
parent7e8f7f4c59c96897159d32771d0c7179c5474281 (diff)
downloadyosys-11f330ed223f524cbbdbe2433599990a69b8f380.tar.gz
yosys-11f330ed223f524cbbdbe2433599990a69b8f380.tar.bz2
yosys-11f330ed223f524cbbdbe2433599990a69b8f380.zip
Add tests for ECP5 architecture
Diffstat (limited to 'tests/ecp5/run-test.sh')
-rwxr-xr-xtests/ecp5/run-test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/ecp5/run-test.sh b/tests/ecp5/run-test.sh
new file mode 100755
index 000000000..2c72ca3a9
--- /dev/null
+++ b/tests/ecp5/run-test.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -e
+{
+echo "all::"
+for x in *.ys; do
+ echo "all:: run-$x"
+ echo "run-$x:"
+ echo " @echo 'Running $x..'"
+ echo " @../../yosys -ql ${x%.ys}.log $x -w 'Yosys has only limited support for tri-state logic at the moment.'"
+done
+for s in *.sh; do
+ if [ "$s" != "run-test.sh" ]; then
+ echo "all:: run-$s"
+ echo "run-$s:"
+ echo " @echo 'Running $s..'"
+ echo " @bash $s"
+ fi
+done
+} > run-test.mk
+exec ${MAKE:-make} -f run-test.mk